Mobileread
General Connection Error
#1  Saix_XIII 12-26-2020, 11:05 PM
This happens at different points when transferring books from Calibre via Wireless Device Connection. Sometimes it takes 10-30 min, sometimes a few hours, but it ends up happening eventually. This is the error log from Calibre itself:

Spoiler Warning below






calibre, version 5.8.1
ERROR: Error: Error communicating with device

[WinError 10054] An existing connection was forcibly closed by the remote host

Traceback (most recent call last):
File "calibre\gui2\device.py", line 89, in run
File "calibre\gui2\device.py", line 592, in _upload_books
File "calibre\devices\smart_device_app\driver.py", line 50, in _synchronizer
File "calibre\devices\smart_device_app\driver.py", line 1497, in upload_books
File "calibre\devices\smart_device_app\driver.py", line 732, in _put_file
File "calibre\devices\smart_device_app\driver.py", line 614, in _send_byte_string
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host


I have the "calibre.companion.debug.log" but it is very long and I am unsure what data from it would be helpful in resolving this.

Reply 

#2  ottischwenk 12-27-2020, 04:15 AM
This error happens to me at some point only on one computer when additional network activity takes place.
Reply 

#3  ruse 01-07-2021, 11:56 AM
Hi,

I get a connection error every time I try to sync my Kindle Fire tablet with Calibre. This has been the case for over a year, and previous posts have received no attention. The error file is below. Is this time out issue going to be addressed in a future release?

ruse/Russell Glasson

calibre, version 5.8.1
ERROR: Error: Error communicating with device

There was a timeout while communicating with the device in function: Device did not respond in reasonable time

Traceback (most recent call last):
File "calibre/devices/smart_device_app/driver.py", line 672, in _receive_from_client
File "calibre/devices/smart_device_app/driver.py", line 588, in _read_string_from_net
File "calibre/devices/smart_device_app/driver.py", line 573, in _read_binary_from_net
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre/gui2/device.py", line 89, in run
File "calibre/gui2/device.py", line 512, in _books
File "calibre/devices/smart_device_app/driver.py", line 50, in _synchronizer
File "calibre/devices/smart_device_app/driver.py", line 1293, in books
File "calibre/devices/smart_device_app/driver.py", line 50, in _synchronizer
File "calibre/devices/smart_device_app/driver.py", line 652, in _call_client
File "calibre/devices/smart_device_app/driver.py", line 684, in _receive_from_client
calibre.devices.errors.TimeoutError: There was a timeout while communicating with the device in function: Device did not respond in reasonable time
Reply 

#4  Glsparks2 02-22-2021, 11:48 PM
I started getting this error after updating my Samsung Galaxy Note 10+ to android 11. before the android upgrade, it worked fast and smooth.
Reply 

#5  stumped 02-24-2021, 04:46 PM
It's abandonware guys

There ain't going to be a next update

Try other calibre apps in play store which are still maintained.e.g. calibre sync.
Reply 

Today's Posts | Search this Thread | Login | Register